summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/oe-setup-builddir10
1 files changed, 9 insertions, 1 deletions
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index a869fdc7c0..e4356f1551 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -37,7 +37,15 @@ fi
cd "$BUILDDIR"
-TEMPLATECONF=${TEMPLATECONF:-meta/conf}
+if (test -f "$BUILDDIR/conf/templateconf.cfg") then
+ TEMPLATECONF=$(cat $BUILDDIR/conf/templateconf.cfg)
+fi
+
+source $OEROOT/.templateconf
+
+if ! (test -f "$BUILDDIR/conf/templateconf.cfg") then
+ echo "$TEMPLATECONF" >$BUILDDIR/conf/templateconf.cfg
+fi
#
# $TEMPLATECONF can point to a directory for the template local.conf & bblayers.conf